xn::ModuleExtendedSerializationInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModuleExtendedSerializationInterface ()
virtual XnStatus | NotifyExState (XnNodeNotifications *pNotifications, void *pCookie)=0
virtual void | UnregisterExNotifications ()=0

## Constructor & Destructor Documentation

## ~ModuleExtendedSerializationInterface()

virtual xn::ModuleExtendedSerializationInterface::~ModuleExtendedSerializationInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## NotifyExState()

virtual XnStatus xn::ModuleExtendedSerializationInterface::NotifyExState | ( | XnNodeNotifications * | pNotifications,
|  | void * | pCookie )

pure virtual

## UnregisterExNotifications()

virtual void xn::ModuleExtendedSerializationInterface::UnregisterExNotifications | ( |  | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h